Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.springframework.jmx.export.annotation
Annotation Type ManagedResource

    @Target(value=TYPE)
    @Retention(value=RUNTIME)
    @Documented
    public @interface ManagedResource

JDK 1.5+ class-level annotation that indicates to register instances of a class with a JMX server, corresponding to the ManagedResource attribute.

Since:
  1.2
Author:
  Rob Harrop, Juergen Hoeller
See Also:
  `ManagedResource`

Optional Element Summary
`int` | `currencyTimeLimit`
`String` | `description`
`boolean` | `log`
`String` | `logFile`
`String` | `objectName`
`String` | `persistLocation`
`String` | `persistName`
`int` | `persistPeriod`
`String` | `persistPolicy`
`String` | `value` The annotation value is equivalent to the `objectName` attribute, for simple default usage.

### value

    public abstract String value

  The annotation value is equivalent to the `objectName` attribute, for simple default usage.

  Default:
    ""

### objectName

    public abstract String objectName

  Default:
    ""

### description

    public abstract String description

  Default:
    ""

### currencyTimeLimit

    public abstract int currencyTimeLimit

  Default:
    -1

### log

    public abstract boolean log

  Default:
    false

### logFile

    public abstract String logFile

  Default:
    ""

### persistPolicy

    public abstract String persistPolicy

  Default:
    ""

### persistPeriod

    public abstract int persistPeriod

  Default:
    -1

### persistName

    public abstract String persistName

  Default:
    ""

### persistLocation

    public abstract String persistLocation

  Default:
    ""

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2002-2008 The Spring Framework.